import request from '@/utils/request'
import constant from '@/constant'


function pageList(formData) {
  return request.post(constant.serverUrl + "/bus/routeInfo/pageList", formData);
}

function create() {
  return request.get(constant.serverUrl + "/bus/routeInfo/create");
}

function edit(id) {
  return request.get(constant.serverUrl + "/bus/routeInfo/edit/" + id);
}

function add(formModel) {
  return request.post(constant.serverUrl + "/bus/routeInfo/add", formModel, {
    headers: {
      "Content-Type": "application/json"
    }
  });
}

function update(formModel) {
  return request.post(constant.serverUrl + "/bus/routeInfo/update", formModel, {
    headers: {
      "Content-Type": "application/json"
    }
  });
}

function remove(id) {
  return request.post(constant.serverUrl + "/bus/routeInfo/delete/" + id);
}

function batchRemove(idList) {
  return request.post(constant.serverUrl + "/bus/routeInfo/batchDelete", idList, {
    headers: {
      "Content-Type": "application/json"
    }
  });
}

function updateMapPath(formModel) {
  return request.post(constant.serverUrl + "/bus/routeInfo/updateMapPath", formModel,{
    headers: {
      "Content-Type": "application/json"
    }
  });
}

function list(formData) {
  return request.post(constant.serverUrl + "/bus/routeInfo/list", formData);
}

export default {
  create, edit, add, update, remove, batchRemove, pageList,updateMapPath,list
}